﻿@model CharitablePlanning
@{
    IEnumerable<SelectListItem> charitableList = EnumHelper.GetEnumSelectList<CharitableDonationEnum>();
}
<h3 style="margin-bottom:10px">Charitable</h3>
<div>
    <span>How much of your estate do you want to give?</span>
    <span class="text-ink">@Model.charitableEstateEnum.GetDisplayName()</span>
</div>
<div class="wizard-content-height">
    <div class="form-group">
        <div class="font-weight-bold">What is the intent of the donation? (check all that apply)</div>
        @foreach (var item in charitableList)
        {
            <div style="padding-left:30px">
                <input type="checkbox" checked="@(Model.charitableDonations != null && Model.charitableDonations.Contains(item.Value) ? "checked" : null)" />
                @item.Text
            </div>
        }
    </div>
    <div class="form-group">
        <label class="col-form-label font-weight-bold">When do you plan for the organization, charity, or private foundation to receive the gift?</label>
        <div class="radio-inline mb-2">
            @foreach (var item in Html.GetEnumSelectList<CharitableGiftEnum>())
            {
                <label style="padding-left:30px">
                    <input type="radio" checked="@(item.Value == ((int)Model.charitableGiftEnum).ToString() ? "checked" : null)" value="@item.Value">
                    <span></span>
                    @item.Text
                </label>
            }
        </div>
    </div>
</div>
<hr style="border-top: 1px solid #23588d;margin-top:30px" />